Bug 222742 - Review Request: fuse-smb - FUSE-Filesystem to fast and easy access remote resources via SMB
Review Request: fuse-smb - FUSE-Filesystem to fast and easy access remote res...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-15 17:39 EST by Marcin Zajaczkowski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-04 04:35:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Zajaczkowski 2007-01-15 17:39:25 EST
Spec URL: http://timeoff.wsisiz.edu.pl/zrzut/fuse-smb.spec
SRPM URL: http://timeoff.wsisiz.edu.pl/zrzut/fuse-smb-0.8.5-2.src.rpm

Description:
With SMB for Fuse you can seamlessly browse your network neighbourhood
as were it on your own filesystem.
It's basically smbmount with a twist. Instead of mounting one Samba share
at a time, you mount all workgroups, hosts and shares at once. Only when 
you're accessing a share a connection is made to the remote computer.
Comment 1 Michał Bentkowski 2007-01-15 17:50:47 EST
I'll review it.
Comment 2 Michał Bentkowski 2007-01-15 18:46:10 EST
REVIEW contains only a checklist, have a look at THINGS to do to find out
what you need to do.

REVIEW:
 * dist tag present,
 * package is licensed under GPL license,
 * license text included in %doc,
 * rpmlint is quiet,
 * sources match upstream (8b9268826b544ad124e016ced17d5310),
 * latest version is being packaged,
!* BRs aren't proper, package fails to build in mock!
!* provides and requires (some things needs to be fixed):
fuse-smb-0.8.5-2.fc7.src.rpm
=PROVIDES:=
(none)=REQUIRES:=
fuse-devel >= 2.3
samba-client

fuse-smb-0.8.5-2.fc7.x86_64.rpm
=PROVIDES:=
fuse-smb = 0.8.5-2.fc7
=REQUIRES:=
fuse >= 2.3
fuse-libs >= 2.3
libfuse.so.2()(64bit)
libfuse.so.2(FUSE_2.5)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libsmbclient.so.0()(64bit)
samba-common >= 3.0

 * package isn't designed to be relocatable,
 * package doesn't create any directories and it doesn't own any directory it 
shouldn't,
 * %clean section is present and looks good
 * build root good
 * no duplicates in %files
 * all files have appropriate permissions
 * no scriptlets required
 * no need to any subpackages
 * no .la files
 * not a gui application

THINGS to do:
 * add samba-client BR to get rid of mock errors.
 * you're using versioned dependecies unnecesarily. Also, some of them have to 
be removed completely.
Have a look at fuse-smb-0.8.5-2.fc7.x86_64.rpm requires list. It requires 
libfuse.so.2 which is owned by fuse-libs and libsmbclient.so.0 owned by samba-
common. It means you don't need samba-common and fuse-libs dependencies. Also, 
you can smoothly get rid of fuse dependency. You don't need versioned 
dependency for fuse-devel as well.
Comment 3 Michael Schwendt 2007-01-15 19:34:43 EST
> %build
> CFLAGS="%{optflags}" %configure

Setting CFLAGS here is superfluous. The %configure macro sets
CFLAGS/CXXFLAGS/FFLAGS already. Check out:  rpm --eval %configure
Comment 4 Marcin Zajaczkowski 2007-01-16 17:18:53 EST
(In reply to comment #2)
(...)
>  * you're using versioned dependecies unnecesarily. Also, some of them have to 
> be removed completely.
> Have a look at fuse-smb-0.8.5-2.fc7.x86_64.rpm requires list. It requires 
> libfuse.so.2 which is owned by fuse-libs and libsmbclient.so.0 owned by samba-
> common. It means you don't need samba-common and fuse-libs dependencies. Also, 
> you can smoothly get rid of fuse dependency. You don't need versioned 
> dependency for fuse-devel as well.

At first I agree with you that few of them can smoothly removed, but let me
explain one thing.

The main reason why I use (sometimes redundant) full packages name is the fact
that those packages are also (till now only) avilable as a separate packages
from my website. When I download some stand-alone package and try to install it
it's much more readable to see "fuse-lib > 2.3 is required by ..." than
"libfuse.so.2()(64bit) is required by ...". In the first option I know what
should I install, in the second I have to find it out first [1]. 

[1] - I know that novadays (in FC4+ out-of-box?) it's possible to use yum to
resolve dependencies and install required packages.

The only problem I see is the situation when package was renamed in a newer
version, but SPEC file should be then updated.

Do you really think that using full package names in the Requirement section
instead of letting RPM do it, can cause some problems or is an out-of-date habit?


(In reply to comment #3)
> Setting CFLAGS here is superfluous

True.
Comment 5 Michał Bentkowski 2007-01-16 17:39:33 EST
(In reply to comment #4)
> Do you really think that using full package names in the Requirement section
> instead of letting RPM do it, can cause some problems or is an out-of-date 
habit?
> 

Packaging Guidelines says about it as a "reinventhing the wheel". In fact
it does look like that. If RPM can find all dependencies well, we don't need
to help it. Especially, if package's dependencies aim to be automatically 
resolved by yum.
According to guidelines I shouldn't approve package until you get rid of that
superfluous dependencies.
Comment 6 Marcin Zajaczkowski 2007-01-17 15:27:11 EST
(In reply to comment #5)
> Packaging Guidelines says about it as a "reinventhing the wheel". In fact
> it does look like that. If RPM can find all dependencies well, we don't need
> to help it. Especially, if package's dependencies aim to be automatically 
> resolved by yum.

OK, I fixed that and OPTFLAGS too.

I kept version of fuse-devel because it's a minimal required version and it's
the only place when can I point it (for build).

http://timeoff.wsisiz.edu.pl/zrzut/fuse-smb.spec
http://timeoff.wsisiz.edu.pl/zrzut/fuse-smb-0.8.5-3.src.rpm
Comment 7 Michał Bentkowski 2007-01-20 18:15:56 EST
Sorry that you had to wait.
Rpmlint now shows:
W: fuse-smb mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 1)
but it's not a blocker.
However, I'll make it FE-ACCEPTed once you put isomaster into repo.

But it's now APPORVED in any case.
Comment 8 Michał Bentkowski 2007-01-22 14:52:59 EST
Since you are now sponsored, I can approve this package.
Comment 9 Marcin Zajaczkowski 2007-02-04 04:35:57 EST
It took some time to get additional branches, but fuse-smb is now available in
FC-5, FC-6 and a rawhide.

Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.